#!/bin/bash

export OBSDEB_BASEDIR=$(pwd)
export OBSDEB_HOME=$OBSDEB_BASEDIR/obsdeb
export OBSDEB_CONFIG_DIR=$OBSDEB_BASEDIR/config
export JAVA_HOME=$OBSDEB_BASEDIR/jre
export JAVA_COMMAND=$JAVA_HOME/bin/java

cd $OBSDEB_BASEDIR

echo "obsdeb basedir:  $OBSDEB_BASEDIR"
echo "obsdeb app home: $OBSDEB_HOME"
echo "obsdeb jre home: $JAVA_HOME"

while true; do

  echo "Run Updater"
  cp -f $OBSDEB_HOME/updater.jar .
  $JAVA_COMMAND -jar updater.jar
  exitcode=$?
  rm -fv updater.jar
  if [ "$exitcode" -eq  "90" ]; then
    # quit now!
    exit $exitcode
  fi

  echo "Read launcher properties"
  . $OBSDEB_HOME/launcher.properties
  . launcher.properties
  
  echo "Run Obsdeb"
  $JAVA_COMMAND $JAVA_OPTS -Dobsdeb.log.file=$LOGFILE -jar $JAR --option obsdeb.launch.mode full --option obsdeb.basedir $OBSDEB_BASEDIR --option config.path $OBSDEB_CONFIG_DIR
  exitcode=$?
  echo "Stop SIH-Allegro ObsDeb with exitcode: $exitcode"

  if [ "$exitcode" -eq  "89" ]; then
    # delete db directory and restart
    rm -rfv data/db
    rm -rfv data/dbcache
    rm -rfv data/dbconf
    exitcode=88
  fi

  if [ ! "$exitcode" -eq  "88" ]; then
    # quit now!
    exit $exitcode
  fi
done
